Bug 146990 - telnet through firewall to wingate shows junk chars
telnet through firewall to wingate shows junk chars
Product: Fedora
Classification: Fedora
Component: telnet (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-02-03 09:38 EST by Hassan Aurag
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-16 10:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is a dumb telnet client I found in a demo dir for python 2.3 on windows (2.28 KB, text/plain)
2005-02-03 10:39 EST, Hassan Aurag
no flags Details

  None (edit)
Description Hassan Aurag 2005-02-03 09:38:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When using telnet from Linux (actually any redhat version
6.1/7.2/FC2/FC3) to a remote host running wingate through a firewall,
I get garbage at the wingate prompt that stop me from actually
entering anything at this prompt to be able to connect to some other
internal computer.

Example session:

[aurag@l0553l ~]$ telnet xxx.xxx.xxx.xxx
Trying xxx.xxx.xxx.xxx...
Connected to xxx.xxx.xxx.xxx.
Escape character is '^]'.

Firewall Proxy authentication:
Username: foo

Access granted Example Inc.


Notice the P at the second line and then the garbage that shows later.
No input is then possible. Please note that telnet from an AIX host
works fine though. Or from a windows box.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
I sadly can't give you access to either hosts to help you reproduce
it. I don't even know our firewall config or type. It's a corporate
thinggy. Probably MS type.

But it's just a telnet and you need wingate on the other side.


Actual Results:  Garbage at wingate prompt

Expected Results:  Normal wingate prompt and allow me to enter host ip

Additional info:

Please note that this does not happen when no firewall is around as
when I am at home and connecting directly.
Comment 1 Harald Hoyer 2005-02-03 10:11:33 EST
try /usr/bin/telnet , if you accidently used /usr/kerberos/bin/telnet
Comment 2 Hassan Aurag 2005-02-03 10:39:44 EST
Created attachment 110601 [details]
This is a dumb telnet client I found in a demo dir for python 2.3 on windows

I am using /usr/bin/telnet. I do not have /usr/kerberos/bin/telnet.

Btw, the attachment telnet.py has a dumb telnet client that actually works and
catches all those weird chars. It also actually works and I can connect to
remote host through firewall

Here is the output, where I removed any sensitive info put bracketed
description instead:

(IAC) (WILL) 3
(IAC) (WILL) 1

Firewall Proxy authentication:
Username: <someuser>

Password: <somepass>

(IAC) (WONT) 3
(IAC) (WONT) 1
Access granted Example Inc.
(IAC) (WILL) 1
(IAC) (WILL) 3
(IAC) (DO) 3
WinGate>(IAC) (WONT) 1
(IAC) (WILL) 3
<xx.xxx.xxx.x (remote host)>
(IAC) (DO) 24
(IAC) (DO) 32
(IAC) (DO) 35
(IAC) (DO) 39
(IAC) (WILL) 3
(IAC) (DO) 1
(IAC) (DO) 31
(IAC) (WILL) 5
(IAC) (DO) 33
(IAC) (WONT) 3
(IAC) (WILL) 3
(IAC) (WILL) 1
Red Hat Linux release 7.2 (Enigma)
Kernel 2.4.7 on an i686
Comment 3 Harald Hoyer 2005-02-03 11:06:05 EST
you may debug via
$ telnet -n <tracefile>
telnet> toggle prettydump
Will print user readable output for "netdata".
telnet> toggle options
Will show option processing.
telnet> open xxx.xxx.xxx.xxx

then edit the <tracefile> to remove the data and attach it here, please
Comment 4 Harald Hoyer 2005-09-16 10:03:28 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.